.lastPage--lastTable{
  .block-sort{
    margin-top: 60px;
    width: 280px;
    position: relative;
    .headSort{
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: wrap;
      cursor: pointer;
      .text-sort{
        color: #393939;
        font-size: 14px;
        font-weight: 400;
        line-height: 14.93px;
      }
      .text-sortBlue{
        color: #2a5ede;
        font-family: 'Geometria Bold';
        font-size: 14px;
        font-weight: 700;
        line-height: 14.93px;
      }
      .down{
        width: 16px;
        height: 16px;
        fill: #cdcdcd;
        transform: rotate(90deg);
      }
    }
    .openSort{
      .down {
        transform: rotate(270deg);
      }
    }
    .bodySort{
      display: block;
      z-index: 99;
      position: absolute;
      top: calc(100% + 10px);
      width: calc(100% - 40px);
      padding: 20px;
      box-shadow: 0 20px 32px rgba(147, 147, 147, 0.18);
      border-radius: 5px;
      background-color: #efefef;
      .text-login{
        color: #a1a1a1;
        font-family: Geometria;
        font-size: 14px;
        font-weight: 400;
        line-height: 20px;
        transition-duration: 500ms;
        transition-property: color;
        &:hover{
          color: #2b5ede;
          cursor: pointer;
        }
      }
      .active-login{
        color: #2b5ede;

      }
    }
  }
  .box-topTableName{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    margin-bottom: 40px;
    .box-tableLeft{
      flex-basis: calc(84.8% - (41px + 38px));
      padding-left: 41px;
      padding-right: 0;
      display: flex;
      justify-content: space-between;
      align-items: center;
      .tableLeft--left{
        flex-basis: 13%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        .text-id{
          color: #a7a7a7;
          font-size: 14px;
          font-weight: 400;
          line-height: 15px;
          text-transform: uppercase;
        }

      }
      .tableLeft--right {
        flex-basis: 80.4%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        .text-id{
          color: #a7a7a7;
          font-size: 14px;
          font-weight: 400;
          line-height: 15px;
          text-transform: uppercase;
        }
      }

    }
    .box-tableRight--edit{
      flex-basis: 12.2%;
      .text-blue{
        color: #3068e8;
        font-family: 'Geometria Bold';
        font-size: 14px;
        font-weight: 700;
        line-height: 15px;
        text-transform: uppercase;
        text-align: center;
      }
    }
  }
  .box__lastTable--element{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    margin-bottom: 37px;

    .box__element--left{
      flex-basis: calc(84.8% - (27px + 165px));
      padding: 45px 165px 45px 27px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: wrap;
      border-radius: 11px;
      background-color: #ffffff;
      position: relative;
      .left--left{
        flex-basis: 17.2%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        .text-idBlueBold{
          color: #3068e8;
          font-family: 'Geometria Bold';
          font-size: 14px;
          font-weight: 700;
          line-height: 15px;
        }
        .text-idBlack{
          color: #383838;
          font-size: 14px;
          font-weight: 400;
          line-height: 15px;
        }
      }
      .right--right{
        flex-basis: 77%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        .text-idBlue{
          color: #295cdc;
          font-size: 14px;
          font-weight: 400;
          line-height: 15px;
        }
        .text-idBlack{
          color: #383838;
          font-size: 14px;
          font-weight: 400;
          line-height: 15px;
        }
        .text-id{
          color: #a4a4a4;
          font-size: 14px;
          font-weight: 400;
          line-height: 15px;
        }
        .text-idEuro{
          display: flex;
          justify-content: flex-start;
          align-items: center;
          img {
            display: block;
            max-width: 100%;
            margin-right: 5px;
          }
          color: #3067e8;
          font-size: 14px;
          font-weight: 400;
          line-height: 15px;
        }
        .text-idOnline{
          color: #39bc4b;
          font-size: 14px;
          font-weight: 400;
          line-height: 15px;
          position: absolute;
          top: 0;
          bottom: 0;
          margin: auto;
          right: 46px;
          width: 70px;
          height: 10px;

            &.offline{
                color: #f54a5b;
            }
        }
      }
    }
    .box__element--edit{
      flex-basis: 12.5%;
      .top-white{
        width: calc(100% - 26px);
        padding: 13px;
        border-radius: 8px;
        background-color: #ffffff;
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        margin-bottom: 12px;
        .delete{
          width: 19px;
          height: 19px;
          fill: #ee4949;
          transition-duration: 500ms;
          transition-property: fill;
          &:hover{
            fill: darken(#ee4949, 15%);
            cursor: pointer;
          }
        }
        .edit{
          width: 22px;
          height: 21px;
          fill: #3069e9;
          transition-duration: 500ms;
          transition-property: fill;
          &:hover{
            fill: darken(#3069e9, 15%);
            cursor: pointer;
          }
        }
        .key{
          width: 14px;
          height: 22px;
          fill: #383838;
          transition-duration: 500ms;
          transition-property: fill;
          &:hover{
            fill: darken(#383838, 15%);
            cursor: pointer;
          }
        }
        .networking{
          width: 23px;
          height: 22px;
          fill: #7e7e7e;
          transition-duration: 500ms;
          transition-property: fill;
          &:hover{
            fill: darken(#7e7e7e, 15%);
            cursor: pointer;
          }
        }
        .world{
          width: 23px;
          height: 22px;
          fill: #c3c3c3;
          transition-duration: 500ms;
          transition-property: fill;
          &:hover{
            fill: darken(#c3c3c3, 15%);
            cursor: pointer;
          }
        }
      }
      .bottom-blue{
        display: flex;
        justify-content: flex-start;
        align-items: center;
        flex-wrap: wrap;
        padding: 13px;
        border-radius: 8px;
        background-color: #2a5cdc;
        .yellow{
          width: 21px;
          height: 21px;
          fill: #ffcd04;
          margin-right: 8px;
          transition-duration: 500ms;
          transition-property: fill;
          &:hover{
            fill: darken(#ffcd04, 15%);
            cursor: pointer;
          }
        }
        .blue{
          width: 21px;
          height: 21px;
          fill: #97b2ff;
          margin-right: 8px;
          transition-duration: 500ms;
          transition-property: fill;
          &:hover{
            fill: darken(#97b2ff, 15%);
            cursor: pointer;
          }
        }
        .skill111{
          width: 21px;
          height: 21px;
          transition-duration: 500ms;
          transition-property: transform;
          &:hover{
            transform: scale(1.1);
            cursor: pointer;
          }
        }
      }
    }
  }
  .balans{
    width: 65px;
    text-align: center;
  }
  .register{
    width: 127px;
    text-align: center;
  }
  .vxod{
    width: 124px;
    text-align: center;
  }
  .ip {
    width: 115px;
    text-align: center;
  }
  .country {
    width: 60px;
    text-align: center;
  }
  .status {
    width: 55px;
    text-align: center;
    img {
      margin: 0 auto;
    }
  }
  .status2 {
    width: 70px;
    text-align: center;
  }
}
@media(max-width: 1000px){
  .lastPage--lastTable .box__lastTable--element .box__element--left{
    flex-basis: calc(100% - 40px);
    padding: 30px 20px;
    .text-id {
      flex-basis: 100%;
      text-align: center;
      margin-bottom: 10px;
    }
    .text-idEuro{

    }
  }
  .lastPage--lastTable .box__lastTable--element .box__element--left .right--right .text-idOnline{
    position: relative;
    top: auto;
    right: auto;
    bottom: auto;
    flex-basis: 100%;
    text-align: center;
  }
  .lastPage--lastTable .box__lastTable--element .box__element--left .right--right{
    flex-basis: 100%;
  }
  .lastPage--lastTable .box__lastTable--element .box__element--left .right--right .text-idEuro{
    flex-basis: 100%;
    text-align: center;
    margin-bottom: 10px;
    justify-content: center;

  }
  .lastPage--lastTable .box__lastTable--element .box__element--left .right--right .text-idBlack{
    flex-basis: 100%;
    text-align: center;
    margin-bottom: 10px;
  }
  .lastPage--lastTable .box__lastTable--element .box__element--left .left--left{
    flex-basis: 100%;

  }
  .lastPage--lastTable .box__lastTable--element .box__element--left .left--left .text-idBlueBold{
    flex-basis: 100%;
    text-align: center;
    margin-bottom: 10px;
  }
  .lastPage--lastTable .box__lastTable--element .box__element--left .left--left .text-idBlack{
    flex-basis: 100%;
    text-align: center;
    margin-bottom: 10px;
  }
  .lastPage--lastTable .box__lastTable--element .box__element--left .right--right .text-idBlue{
    flex-basis: 100%;
    text-align: center;
    margin-bottom: 10px;
  }
  .lastPage--lastTable .box__lastTable--element .box__element--edit{
    margin: 20px auto;
    flex-basis: 300px;

  }
  .lastPage--lastTable .box-topTableName .box-tableLeft{
    flex-wrap: wrap;
    flex-basis: 100%;
    padding-right: 0;
    padding-left: 0;
    .tableLeft--left{
      flex-basis: 100%;
      flex-wrap: wrap;
      .text-id {
        flex-basis: 100%;
        text-align: center;
        margin-bottom: 10px;
      }
    }
  }
  .lastPage--lastTable .box-topTableName .box-tableLeft .tableLeft--right{
    flex-basis: 100%;
    flex-wrap: wrap;
    .text-id {
      flex-basis: 100%;
      text-align: center;
      margin-bottom: 10px;
    }
  }
  .lastPage--lastTable .box-topTableName .box-tableRight--edit{
    flex-basis: 100%;
  }

  .lastPage--lastTable .balans{
    width: auto;
    text-align: center;
  }
  .lastPage--lastTable .register{
    width: auto;
    text-align: center;
  }
  .lastPage--lastTable .vxod{
    width: auto;
    text-align: center;
  }
  .lastPage--lastTable .ip {
    width: auto;
    text-align: center;
  }
  .lastPage--lastTable .country {
    width: auto;
    text-align: center;
  }
  .lastPage--lastTable .status {
    width: auto;
    text-align: center;
    img {
      margin: 0 auto;
    }
  }
  .lastPage--lastTable .status img {
    margin: 0;
  }

}
